Create an account
Create a manual account. Linked bank accounts are created by a connection, not this endpoint.
Request body
namestringrequired
Account name.
typeenum
One of
cash, bank, creditCard, savings, investment, crypto, vehicle, property, retirementFund, rewards, loan, other.subTypenullable string
Finer type, e.g. credit card.
emojinullable string
Emoji shown in the apps.
currentBalanceobject
Opening balance.
amountnumber
Numeric amount in that currency.
currencyCodestring
ISO 4217 code, e.g. USD, EUR, ZAR.
availableBalancenullable object
Available-to-spend balance.
amountnumber
Numeric amount in that currency.
currencyCodestring
ISO 4217 code, e.g. USD, EUR, ZAR.
accountGroupIdnullable string
Existing group to place the account in.
POST/accounts
curl https://api.finwiseapp.io/accounts \-X POST \-H "Authorization: Bearer fw_..." \-H "Content-Type: application/json" \-d '{"name":"Chase Sapphire","type":"creditCard","currentBalance":{"amount":-3432,"currencyCode":"USD"}}'
const response = await fetch('https://api.finwiseapp.io/accounts', {method: 'POST',headers: {Authorization: 'Bearer fw_...','Content-Type': 'application/json',},body: JSON.stringify({"name": "Chase Sapphire","type": "creditCard","currentBalance": {"amount": -3432,"currencyCode": "USD"}}),})const data = await response.json()
Response
{"id": "94d2f962-d4e3-4c99-ab47-8c941cea012a","createdAt": "2026-03-14T09:15:46.724Z","updatedAt": "2026-03-14T09:15:46.724Z","userId": "f472696c-47ac-4873-98cf-2a1069a1cf45","name": "Chase Sapphire","displayName": "Travel card","friendlyName": null,"accountNumber": "••••4291","currentBalance": {"amount": -3432,"currencyCode": "USD"},"availableBalance": {"amount": 1568,"currencyCode": "USD"},"limitAmount": null,"currencyOverride": null,"type": "creditCard","subType": "credit card","archivedAt": null,"isLinked": true,"institutionId": "b8cb6f04-2f2b-440a-a55f-6708ebb57130","institutionUserId": null,"accountGroupId": "c1a0c0a0-1b2c-4d5e-8f90-1234567890ab","emoji": "💳","logoBase64": null,"data": {"config": {"excludeFromBudget": false,"excludeFromNetWorth": false,"excludeTransactions": false,"invertAmounts": false}}}